# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define Werror_cflags %nil
%define betalevel rc2

Name:		yal
Version:	0.3
Release:	alt1_10
Summary:	Yet another (game) launcher
License:	GPLv2
Group:		Games/Arcade
URL:		http://vega.livecd.pl
# for reference, see http://www.hard-light.net/forums/index.php?topic=68413.0
Source0:	http://vega.livecd.pl/~havner/yal/linux/%{name}-%{version}-%{betalevel}.tar.bz2
Source1:	yal.png
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(openal)
Source44: import.info

%description

Yet Another Launcher.FreeSpace 2 portable launcher for launching FS2O
(FreeSpaceOpen) with ability to set variables for game and its mods.
Use fit fs2o... Also launches Wing Commander: Saga (www.wcsaga.com) game.

%prep
%setup -q -n %{name}-%{version}-%{betalevel}


%build

# the babylon project & beyond the red line launchers disabled...

#./autogen.sh yal.pro "CONFIG+=btrl"
#make release
#make clean
#./autogen.sh yal.pro "CONFIG+=tbp"
#make release
#make clean

%qmake_qt4 yal.pro "CONFIG+=wcsaga"
%make_build release
%make_build clean

%qmake_qt4 yal.pro
%make_build release
%make_build clean


%install
mkdir -p %{buildroot}/%{_gamesbindir}
cp ./bin/* %{buildroot}/%{_gamesbindir}/

mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_niconsdir}
install -D -m 644 %{SOURCE1} %{buildroot}/%_niconsdir/%{name}.png

cat > %{buildroot}%{_datadir}/applications/mageia-fs2o.desktop << EOF
[Desktop Entry]
Name=FS2O Launcher
Comment=FreeSpace 2 Open Launcher
Exec=%{_gamesbindir}/fs2_launcher
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

cat > %{buildroot}%{_datadir}/applications/mageia-wcsaga.desktop << EOF
[Desktop Entry]
Name=WC Saga Launcher
Comment=Wing Commander Saga Launcher
Exec=%{_gamesbindir}/wcsaga_launcher
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF


%files
%doc AUTHORS README TODO ChangeLog
%_niconsdir/%{name}.png
%{_datadir}/applications/*
%defattr(755,root,root,755)
%{_gamesbindir}/*_launcher


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.3-alt1_10
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_9
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_8
- update by mgaimport

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_7
- update by mgaimport

* Mon Jun 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_6
- converted for ALT Linux by srpmconvert tools

